## org.apache.lucene.benchmark.byTask.feeds
Class DocData

    java.lang.Object
      org.apache.lucene.benchmark.byTask.feeds.DocData

    public class DocData

extends Object

Output of parsing (e.g. HTML parsing) of an input document.

Constructor Summary
`DocData(String name, String body, String title, Properties props, Date date)`

Method Summary
`String` `getBody()`
`Date` `getDate()`
`String` `getName()`
`Properties` `getProps()`
`String` `getTitle()`
`void` `setBody(String body)`
`void` `setDate(Date date)`
`void` `setName(String name)`
`void` `setProps(Properties props)`
`void` `setTitle(String title)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocData

    public DocData(String name,
                   String body,
                   String title,
                   Properties props,
                   Date date)

Method Detail

### getName

    public String getName()

  Returns:
    Returns the name.

### setName

    public void setName(String name)

  Parameters:
    `name` - The name to set.

### getProps

    public Properties getProps()

  Returns:
    Returns the props.

### setProps

    public void setProps(Properties props)

  Parameters:
    `props` - The props to set.

### getBody

    public String getBody()

  Returns:
    Returns the body.

### setBody

    public void setBody(String body)

  Parameters:
    `body` - The body to set.

### getTitle

    public String getTitle()

  Returns:
    Returns the title.

### setTitle

    public void setTitle(String title)

  Parameters:
    `title` - The title to set.

### getDate

    public Date getDate()

  Returns:
    Returns the date.

### setDate

    public void setDate(Date date)

  Parameters:
    `date` - The date to set.

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.